# Descriptions

The above functions provide human-readable strings for media formats and decoder/demuxer/depayloader/encoder/muxer/payloader elements for use in error dialogs or other messages shown to users.

gst_pb_utils_add_codec_description_to_tag_list is a utility function for demuxer and decoder elements to add audio/video codec tags from a given (fixed) GstCaps.

## Functions

### gst_pb_utils_add_codec_description_to_tag_list

    gboolean
    gst_pb_utils_add_codec_description_to_tag_list (GstTagList * taglist,
                                                    const gchar * codec_tag,
                                                    const GstCaps * caps)

Adds a codec tag describing the format specified by caps to taglist.

Parameters:

`taglist` –

a GstTagList

`codec_tag` ( [nullable]) –

a GStreamer codec tag such as GST_TAG_AUDIO_CODEC, GST_TAG_VIDEO_CODEC or GST_TAG_CODEC. If none is specified, the function will attempt to detect the appropriate category.

`caps` –

the (fixed) GstCaps for which a codec tag should be added.

Returns –

TRUE if a codec tag was added, FALSE otherwise.

### GstPbutils.prototype.pb_utils_add_codec_description_to_tag_list

    function GstPbutils.prototype.pb_utils_add_codec_description_to_tag_list(taglist: Gst.TagList, codec_tag: String, caps: Gst.Caps): {
        // javascript wrapper for 'gst_pb_utils_add_codec_description_to_tag_list'
    }

Adds a codec tag describing the format specified by caps to taglist.

Parameters:

`taglist` (Gst.TagList) –

a Gst.TagList

`codec_tag` (String) –

a GStreamer codec tag such as Gst.TAG_AUDIO_CODEC, Gst.TAG_VIDEO_CODEC or Gst.TAG_CODEC. If none is specified, the function will attempt to detect the appropriate category.

`caps` (Gst.Caps) –

the (fixed) Gst.Caps for which a codec tag should be added.

Returns (Number) –

TRUE if a codec tag was added, FALSE otherwise.

### GstPbutils.pb_utils_add_codec_description_to_tag_list

    def GstPbutils.pb_utils_add_codec_description_to_tag_list (taglist, codec_tag, caps):
        #python wrapper for 'gst_pb_utils_add_codec_description_to_tag_list'

Adds a codec tag describing the format specified by caps to taglist.

Parameters:

`taglist` (Gst.TagList) –

a Gst.TagList

`codec_tag` (str) –

a GStreamer codec tag such as Gst.TAG_AUDIO_CODEC, Gst.TAG_VIDEO_CODEC or Gst.TAG_CODEC. If none is specified, the function will attempt to detect the appropriate category.

`caps` (Gst.Caps) –

the (fixed) Gst.Caps for which a codec tag should be added.

Returns (bool) –

TRUE if a codec tag was added, FALSE otherwise.

### gst_pb_utils_get_caps_description_flags

    GstPbUtilsCapsDescriptionFlags
    gst_pb_utils_get_caps_description_flags (const GstCaps * caps)

Returns flags that describe the format of the caps if known. No flags are set for unknown caps.

Parameters:

`caps` –

the (fixed) GstCaps for which flags are requested

Returns –

GstPbUtilsCapsDescriptionFlags that describe caps, or no flags if the caps are unknown.

Since : 1.20

### GstPbutils.prototype.pb_utils_get_caps_description_flags

    function GstPbutils.prototype.pb_utils_get_caps_description_flags(caps: Gst.Caps): {
        // javascript wrapper for 'gst_pb_utils_get_caps_description_flags'
    }

Returns flags that describe the format of the caps if known. No flags are set for unknown caps.

Parameters:

`caps` (Gst.Caps) –

the (fixed) Gst.Caps for which flags are requested

Returns (GstPbutils.PbUtilsCapsDescriptionFlags) –

GstPbutils.PbUtilsCapsDescriptionFlags that describe caps, or no flags if the caps are unknown.

Since : 1.20

### GstPbutils.pb_utils_get_caps_description_flags

    def GstPbutils.pb_utils_get_caps_description_flags (caps):
        #python wrapper for 'gst_pb_utils_get_caps_description_flags'

Returns flags that describe the format of the caps if known. No flags are set for unknown caps.

Parameters:

`caps` (Gst.Caps) –

the (fixed) Gst.Caps for which flags are requested

Returns (GstPbutils.PbUtilsCapsDescriptionFlags) –

GstPbutils.PbUtilsCapsDescriptionFlags that describe caps, or no flags if the caps are unknown.

Since : 1.20

### gst_pb_utils_get_codec_description

    gchar *
    gst_pb_utils_get_codec_description (const GstCaps * caps)

Returns a localised (as far as this is possible) string describing the media format specified in caps, for use in error dialogs or other messages to be seen by the user. Should never return NULL unless caps is invalid.

Also see the convenience function gst_pb_utils_add_codec_description_to_tag_list.

Parameters:

`caps` –

the (fixed) GstCaps for which an format description is needed

Returns ( [nullable]) –

a newly-allocated description string, or NULL on error. Free string with g_free when not needed any longer.

### GstPbutils.prototype.pb_utils_get_codec_description

    function GstPbutils.prototype.pb_utils_get_codec_description(caps: Gst.Caps): {
        // javascript wrapper for 'gst_pb_utils_get_codec_description'
    }

Returns a localised (as far as this is possible) string describing the media format specified in caps, for use in error dialogs or other messages to be seen by the user. Should never return NULL unless caps is invalid.

Also see the convenience function GstPbutils.prototype.pb_utils_add_codec_description_to_tag_list.

Parameters:

`caps` (Gst.Caps) –

the (fixed) Gst.Caps for which an format description is needed

Returns (String) –

a newly-allocated description string, or NULL on error. Free string with GLib.prototype.free when not needed any longer.

### GstPbutils.pb_utils_get_codec_description

    def GstPbutils.pb_utils_get_codec_description (caps):
        #python wrapper for 'gst_pb_utils_get_codec_description'

Returns a localised (as far as this is possible) string describing the media format specified in caps, for use in error dialogs or other messages to be seen by the user. Should never return NULL unless caps is invalid.

Also see the convenience function GstPbutils.pb_utils_add_codec_description_to_tag_list.

Parameters:

`caps` (Gst.Caps) –

the (fixed) Gst.Caps for which an format description is needed

Returns (str) –

a newly-allocated description string, or NULL on error. Free string with GLib.free when not needed any longer.

### gst_pb_utils_get_decoder_description

    gchar *
    gst_pb_utils_get_decoder_description (const GstCaps * caps)

Returns a localised string describing an decoder for the format specified in caps, for use in error dialogs or other messages to be seen by the user.

This function is mainly for internal use, applications would typically use gst_missing_plugin_message_get_description to get a description of a missing feature from a missing-plugin message.

Parameters:

`caps` –

the (fixed) GstCaps for which an decoder description is needed

Returns –

a newly-allocated description string. Free string with g_free when not needed any longer.

### GstPbutils.prototype.pb_utils_get_decoder_description

    function GstPbutils.prototype.pb_utils_get_decoder_description(caps: Gst.Caps): {
        // javascript wrapper for 'gst_pb_utils_get_decoder_description'
    }

Returns a localised string describing an decoder for the format specified in caps, for use in error dialogs or other messages to be seen by the user.

This function is mainly for internal use, applications would typically use GstPbutils.prototype.missing_plugin_message_get_description to get a description of a missing feature from a missing-plugin message.

Parameters:

`caps` (Gst.Caps) –

the (fixed) Gst.Caps for which an decoder description is needed

Returns (String) –

a newly-allocated description string. Free string with GLib.prototype.free when not needed any longer.

### GstPbutils.pb_utils_get_decoder_description

    def GstPbutils.pb_utils_get_decoder_description (caps):
        #python wrapper for 'gst_pb_utils_get_decoder_description'

Returns a localised string describing an decoder for the format specified in caps, for use in error dialogs or other messages to be seen by the user.

This function is mainly for internal use, applications would typically use GstPbutils.missing_plugin_message_get_description to get a description of a missing feature from a missing-plugin message.

Parameters:

`caps` (Gst.Caps) –

the (fixed) Gst.Caps for which an decoder description is needed

Returns (str) –

a newly-allocated description string. Free string with GLib.free when not needed any longer.

### gst_pb_utils_get_element_description

    gchar *
    gst_pb_utils_get_element_description (const gchar * factory_name)

Returns a localised string describing the given element, for use in error dialogs or other messages to be seen by the user.

This function is mainly for internal use, applications would typically use gst_missing_plugin_message_get_description to get a description of a missing feature from a missing-plugin message.

Parameters:

`factory_name` –

the name of the element, e.g. "giosrc"

Returns –

a newly-allocated description string. Free string with g_free when not needed any longer.

### GstPbutils.prototype.pb_utils_get_element_description

    function GstPbutils.prototype.pb_utils_get_element_description(factory_name: String): {
        // javascript wrapper for 'gst_pb_utils_get_element_description'
    }

Returns a localised string describing the given element, for use in error dialogs or other messages to be seen by the user.

This function is mainly for internal use, applications would typically use GstPbutils.prototype.missing_plugin_message_get_description to get a description of a missing feature from a missing-plugin message.

Parameters:

`factory_name` (String) –

the name of the element, e.g. "giosrc"

Returns (String) –

a newly-allocated description string. Free string with GLib.prototype.free when not needed any longer.

### GstPbutils.pb_utils_get_element_description

    def GstPbutils.pb_utils_get_element_description (factory_name):
        #python wrapper for 'gst_pb_utils_get_element_description'

Returns a localised string describing the given element, for use in error dialogs or other messages to be seen by the user.

This function is mainly for internal use, applications would typically use GstPbutils.missing_plugin_message_get_description to get a description of a missing feature from a missing-plugin message.

Parameters:

`factory_name` (str) –

the name of the element, e.g. "giosrc"

Returns (str) –

a newly-allocated description string. Free string with GLib.free when not needed any longer.

### gst_pb_utils_get_encoder_description

    gchar *
    gst_pb_utils_get_encoder_description (const GstCaps * caps)

Returns a localised string describing an encoder for the format specified in caps, for use in error dialogs or other messages to be seen by the user.

This function is mainly for internal use, applications would typically use gst_missing_plugin_message_get_description to get a description of a missing feature from a missing-plugin message.

Parameters:

`caps` –

the (fixed) GstCaps for which an encoder description is needed

Returns –

a newly-allocated description string. Free string with g_free when not needed any longer.

### GstPbutils.prototype.pb_utils_get_encoder_description

    function GstPbutils.prototype.pb_utils_get_encoder_description(caps: Gst.Caps): {
        // javascript wrapper for 'gst_pb_utils_get_encoder_description'
    }

Returns a localised string describing an encoder for the format specified in caps, for use in error dialogs or other messages to be seen by the user.

This function is mainly for internal use, applications would typically use GstPbutils.prototype.missing_plugin_message_get_description to get a description of a missing feature from a missing-plugin message.

Parameters:

`caps` (Gst.Caps) –

the (fixed) Gst.Caps for which an encoder description is needed

Returns (String) –

a newly-allocated description string. Free string with GLib.prototype.free when not needed any longer.

### GstPbutils.pb_utils_get_encoder_description

    def GstPbutils.pb_utils_get_encoder_description (caps):
        #python wrapper for 'gst_pb_utils_get_encoder_description'

Returns a localised string describing an encoder for the format specified in caps, for use in error dialogs or other messages to be seen by the user.

This function is mainly for internal use, applications would typically use GstPbutils.missing_plugin_message_get_description to get a description of a missing feature from a missing-plugin message.

Parameters:

`caps` (Gst.Caps) –

the (fixed) Gst.Caps for which an encoder description is needed

Returns (str) –

a newly-allocated description string. Free string with GLib.free when not needed any longer.

### gst_pb_utils_get_file_extension_from_caps

    gchar *
    gst_pb_utils_get_file_extension_from_caps (const GstCaps * caps)

Returns a possible file extension for the given caps, if known.

Parameters:

`caps` –

the (fixed) GstCaps for which a file extension is needed

Returns ( [nullable]) –

a newly-allocated file extension string, or NULL on error. Free string with g_free when not needed any longer.

Since : 1.20

### GstPbutils.prototype.pb_utils_get_file_extension_from_caps

    function GstPbutils.prototype.pb_utils_get_file_extension_from_caps(caps: Gst.Caps): {
        // javascript wrapper for 'gst_pb_utils_get_file_extension_from_caps'
    }

Returns a possible file extension for the given caps, if known.

Parameters:

`caps` (Gst.Caps) –

the (fixed) Gst.Caps for which a file extension is needed

Returns (String) –

a newly-allocated file extension string, or NULL on error. Free string with GLib.prototype.free when not needed any longer.

Since : 1.20

### GstPbutils.pb_utils_get_file_extension_from_caps

    def GstPbutils.pb_utils_get_file_extension_from_caps (caps):
        #python wrapper for 'gst_pb_utils_get_file_extension_from_caps'

Returns a possible file extension for the given caps, if known.

Parameters:

`caps` (Gst.Caps) –

the (fixed) Gst.Caps for which a file extension is needed

Returns (str) –

a newly-allocated file extension string, or NULL on error. Free string with GLib.free when not needed any longer.

Since : 1.20

### gst_pb_utils_get_sink_description

    gchar *
    gst_pb_utils_get_sink_description (const gchar * protocol)

Returns a localised string describing a sink element handling the protocol specified in protocol, for use in error dialogs or other messages to be seen by the user.

This function is mainly for internal use, applications would typically use gst_missing_plugin_message_get_description to get a description of a missing feature from a missing-plugin message.

Parameters:

`protocol` –

the protocol the sink element needs to handle, e.g. "http"

Returns –

a newly-allocated description string. Free string with g_free when not needed any longer.

### GstPbutils.prototype.pb_utils_get_sink_description

    function GstPbutils.prototype.pb_utils_get_sink_description(protocol: String): {
        // javascript wrapper for 'gst_pb_utils_get_sink_description'
    }

Returns a localised string describing a sink element handling the protocol specified in protocol, for use in error dialogs or other messages to be seen by the user.

This function is mainly for internal use, applications would typically use GstPbutils.prototype.missing_plugin_message_get_description to get a description of a missing feature from a missing-plugin message.

Parameters:

`protocol` (String) –

the protocol the sink element needs to handle, e.g. "http"

Returns (String) –

a newly-allocated description string. Free string with GLib.prototype.free when not needed any longer.

### GstPbutils.pb_utils_get_sink_description

    def GstPbutils.pb_utils_get_sink_description (protocol):
        #python wrapper for 'gst_pb_utils_get_sink_description'

Returns a localised string describing a sink element handling the protocol specified in protocol, for use in error dialogs or other messages to be seen by the user.

This function is mainly for internal use, applications would typically use GstPbutils.missing_plugin_message_get_description to get a description of a missing feature from a missing-plugin message.

Parameters:

`protocol` (str) –

the protocol the sink element needs to handle, e.g. "http"

Returns (str) –

a newly-allocated description string. Free string with GLib.free when not needed any longer.

### gst_pb_utils_get_source_description

    gchar *
    gst_pb_utils_get_source_description (const gchar * protocol)

Returns a localised string describing a source element handling the protocol specified in protocol, for use in error dialogs or other messages to be seen by the user.

This function is mainly for internal use, applications would typically use gst_missing_plugin_message_get_description to get a description of a missing feature from a missing-plugin message.

Parameters:

`protocol` –

the protocol the source element needs to handle, e.g. "http"

Returns –

a newly-allocated description string. Free string with g_free when not needed any longer.

### GstPbutils.prototype.pb_utils_get_source_description

    function GstPbutils.prototype.pb_utils_get_source_description(protocol: String): {
        // javascript wrapper for 'gst_pb_utils_get_source_description'
    }

Returns a localised string describing a source element handling the protocol specified in protocol, for use in error dialogs or other messages to be seen by the user.

This function is mainly for internal use, applications would typically use GstPbutils.prototype.missing_plugin_message_get_description to get a description of a missing feature from a missing-plugin message.

Parameters:

`protocol` (String) –

the protocol the source element needs to handle, e.g. "http"

Returns (String) –

a newly-allocated description string. Free string with GLib.prototype.free when not needed any longer.

### GstPbutils.pb_utils_get_source_description

    def GstPbutils.pb_utils_get_source_description (protocol):
        #python wrapper for 'gst_pb_utils_get_source_description'

Returns a localised string describing a source element handling the protocol specified in protocol, for use in error dialogs or other messages to be seen by the user.

This function is mainly for internal use, applications would typically use GstPbutils.missing_plugin_message_get_description to get a description of a missing feature from a missing-plugin message.

Parameters:

`protocol` (str) –

the protocol the source element needs to handle, e.g. "http"

Returns (str) –

a newly-allocated description string. Free string with GLib.free when not needed any longer.

## Enumerations

### GstPbUtilsCapsDescriptionFlags

Flags that are returned by gst_pb_utils_get_caps_description_flags and describe the format of the caps.

##### Members

`GST_PBUTILS_CAPS_DESCRIPTION_FLAG_CONTAINER` (1) –

Caps describe a container format.

`GST_PBUTILS_CAPS_DESCRIPTION_FLAG_AUDIO` (2) –

Caps describe an audio format, or a container format that can store audio.

`GST_PBUTILS_CAPS_DESCRIPTION_FLAG_VIDEO` (4) –

Caps describe an video format, or a container format that can store video.

`GST_PBUTILS_CAPS_DESCRIPTION_FLAG_IMAGE` (8) –

Caps describe an image format, or a container format that can store image.

`GST_PBUTILS_CAPS_DESCRIPTION_FLAG_SUBTITLE` (16) –

Caps describe an subtitle format, or a container format that can store subtitles.

`GST_PBUTILS_CAPS_DESCRIPTION_FLAG_TAG` (32) –

Container format is a tags container.

`GST_PBUTILS_CAPS_DESCRIPTION_FLAG_GENERIC` (64) –

Container format can store any kind of stream type.

`GST_PBUTILS_CAPS_DESCRIPTION_FLAG_METADATA` (128) –

Caps describe a metadata format, or a container format that can store metadata.

(Since: 1.22)

Since : 1.20

### GstPbutils.PbUtilsCapsDescriptionFlags

Flags that are returned by GstPbutils.prototype.pb_utils_get_caps_description_flags and describe the format of the caps.

##### Members

`GstPbutils.PbUtilsCapsDescriptionFlags.CONTAINER` (1) –

Caps describe a container format.

`GstPbutils.PbUtilsCapsDescriptionFlags.AUDIO` (2) –

Caps describe an audio format, or a container format that can store audio.

`GstPbutils.PbUtilsCapsDescriptionFlags.VIDEO` (4) –

Caps describe an video format, or a container format that can store video.

`GstPbutils.PbUtilsCapsDescriptionFlags.IMAGE` (8) –

Caps describe an image format, or a container format that can store image.

`GstPbutils.PbUtilsCapsDescriptionFlags.SUBTITLE` (16) –

Caps describe an subtitle format, or a container format that can store subtitles.

`GstPbutils.PbUtilsCapsDescriptionFlags.TAG` (32) –

Container format is a tags container.

`GstPbutils.PbUtilsCapsDescriptionFlags.GENERIC` (64) –

Container format can store any kind of stream type.

`GstPbutils.PbUtilsCapsDescriptionFlags.METADATA` (128) –

Caps describe a metadata format, or a container format that can store metadata.

(Since: 1.22)

Since : 1.20

### GstPbutils.PbUtilsCapsDescriptionFlags

Flags that are returned by GstPbutils.pb_utils_get_caps_description_flags and describe the format of the caps.

##### Members

`GstPbutils.PbUtilsCapsDescriptionFlags.CONTAINER` (1) –

Caps describe a container format.

`GstPbutils.PbUtilsCapsDescriptionFlags.AUDIO` (2) –

Caps describe an audio format, or a container format that can store audio.

`GstPbutils.PbUtilsCapsDescriptionFlags.VIDEO` (4) –

Caps describe an video format, or a container format that can store video.

`GstPbutils.PbUtilsCapsDescriptionFlags.IMAGE` (8) –

Caps describe an image format, or a container format that can store image.

`GstPbutils.PbUtilsCapsDescriptionFlags.SUBTITLE` (16) –

Caps describe an subtitle format, or a container format that can store subtitles.

`GstPbutils.PbUtilsCapsDescriptionFlags.TAG` (32) –

Container format is a tags container.

`GstPbutils.PbUtilsCapsDescriptionFlags.GENERIC` (64) –

Container format can store any kind of stream type.

`GstPbutils.PbUtilsCapsDescriptionFlags.METADATA` (128) –

Caps describe a metadata format, or a container format that can store metadata.

(Since: 1.22)

Since : 1.20

The results of the search are